<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns:rich="http://richfaces.org/rich"
                xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns="http://www.w3.org/1999/xhtml">
    <gri:panel id="panelRet">
        <f:facet name="header">#{messages['net.ihe.gazelle.xdstar.RetrieveImagingDocumentSet']}</f:facet>
        <h:outputText value="#{messages['net.ihe.gazelle.xdstar.TransferSyntaxUIDList']} "
                      style="font-weight:bold;"/>
        <a4j:commandLink title="#{messages['net.ihe.gazelle.xdstar.AddTransferSyntaxUID']}"
                         actionListener="#{absXDSI69Manager.initDivTS()}"
                         render="panelRet">
            <span class="gzl-icon-plus"/>
        </a4j:commandLink>

        <s:div id="divaddts" rendered="#{absXDSI69Manager.editTransferSyntax}">
            <div class="form-horizontal">
                <s:decorate id="tsyntdec" template="/layout/form/_form_field_horizontal_inline.xhtml">
                    <ui:param name="id" value="tsynselec"/>
                    <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.TransferSyntaxUID']}</ui:define>
                    <h:selectOneMenu id="tsynselec"
                                     value="#{absXDSI69Manager.selectedTransferSyntaxUID}"
                                     styleClass="form-control gzl-form-control gzl-select-text">
                        <s:selectItems value="#{WADOManager.transferSyntaxUIDList()}"
                                       var="ctl" label="${ctl}"
                                       noSelectionLabel="#{messages['net.ihe.gazelle.xdstar.PleaseSelect']}"/>
                    </h:selectOneMenu>
                </s:decorate>
                <a4j:commandButton id="validate" styleClass="gzl-btn-green"
                                   action="#{absXDSI69Manager.addSelectedTransferSyntaxUID()}"
                                   value="#{messages['net.ihe.gazelle.xdstar.Add']}" render="panelRet"/>
            </div>
        </s:div>
        <br/>
        <rich:list id="translist" var="trans"
                   value="#{absXDSI69Manager.selectedRetrieveImagingDocumentSetRequest.transferSyntaxUIDList.transferSyntaxUID}"
                   rows="10" type="unordered">
            <h:outputText value="#{trans}"/>
            <gdk:spacer width="5px"/>
            <a4j:commandLink title="#{messages['net.ihe.gazelle.xdstar.DeleteTransferSyntaxUID']}"
                             action="#{absXDSI69Manager.deleteTransferSyntaxUID(trans)}"
                             render="panelRet">
                <span class="gzl-icon-trash-o"/>
            </a4j:commandLink>

        </rich:list>

    </gri:panel>
</ui:composition>
